Bug #3673

Ruby 1.9 uses US-ASCII as the default encoding, breaks onedb

Added by Carlos Martín over 5 years ago. Updated over 5 years ago.

Status:ClosedStart date:03/11/2015
Priority:HighDue date:
Assignee:Carlos Martín% Done:

0%

Category:Core & System
Target version:Release 4.12.1
Resolution:fixed Pull request:
Affected Versions:OpenNebula 4.12

Description

See this thread:
https://forum.opennebula.org/t/upgrading-onedb-database-from-4-10-to-4-12-fails/388/1

This may be an issue also in the ruby OCA.

Associated revisions

Revision a5db8646
Added by Carlos Martín over 5 years ago

Bug #3673: Force utf-8 encoding for ruby 1.9 in onedb

Revision 9a4c9eb9
Added by Carlos Martín over 5 years ago

Bug #3673: Force utf-8 encoding for ruby 1.9 in onedb

(cherry picked from commit a5db8646a1f4180f2833855a295f99f6030bffb9)

Revision 4f8b1138
Added by Carlos Martín over 5 years ago

Bug #3673: Fix onedb for ruby 2.1

Let's hope this is the last one

Revision e07d81a2
Added by Carlos Martín over 5 years ago

Bug #3673: Fix onedb for ruby 2.1

Let's hope this is the last one

(cherry picked from commit 4f8b1138607ae389557d1289f75571e0dbee119f)

History

#2 Updated by Ruben S. Montero over 5 years ago

  • Assignee set to Carlos Martín

#3 Updated by Ruben S. Montero over 5 years ago

  • Status changed from New to Closed
  • Resolution set to fixed

Also available in: Atom PDF